const initheaders = [
  "收款方公司编号",
  "收款方公司名称",
  "资金编号",
  "订单编号",
  "认领资金"
];

export const requireHeaders = [
  "收款方公司编号",
  "资金编号",
  "订单编号",
  "认领资金"
];

export const requsetHeaderIdxs = [
  "companyNo",
  "tradNo",
  "orderCode",
  "trad_fee"
];

const columns = () => {
  const list: any[] = [
    {
      type: "index",
      width: "50",
      fixed: "left",
      label: "序号"
    },
    {
      prop: "companyNo",
      label: "收款方公司编号"
    },
    {
      prop: "companyName",
      label: "收款方公司名称"
    },
    {
      prop: "tradNo",
      label: "资金编号"
    },
    {
      prop: "orderCode",
      label: "订单编号"
    },
    {
      prop: "trad_fee",
      label: "认领资金"
    }
  ];
  return list;
};

export { initheaders, columns };
