import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "qrdNo", label: "确认单编号" },
          { value: "cgdNo", label: "采购单编号" },
          { value: "sale_name", label: "销售员" },
          { value: "cgd_saler", label: "采购员" }
        ]
      }
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "starttime",
        endProp: "endtime",
        startPlaceholder: "订单生成时间起始",
        endPlaceholder: "订单生成时间结束"
      }
    }
  ]
};

export default searchFormConfig;
