import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_opitons";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: statusOptions
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },
    {
      field: "returnCode",
      type: "input",
      placeholder: "回票解除编号"
    },
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    }
  ]
};

export default searchFormConfig;
